Package org.apache.jmeter.gui.action

# Class Paste

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.Paste

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class Paste extends AbstractAction
Places a copied JMeterTreeNode under the selected node.

## Constructor Summary

Constructors
Constructor
Description
`Paste()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Paste

public Paste()

## Method Details

### getActionNames

public Set<String> getActionNames()

See Also:
  - `Command.getActionNames()`

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  - `Command.doAction(ActionEvent)`